WWP Engine Docs
API ReferenceProxy

Seed

POST
/proxy/seed

Authorization

ApiKeyAuth
x-api-key<token>

API key from /account/api-keys. Free tier: 100 req/hr. Pro tier: 1000 req/hr.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://gmp.ffstudios.io/api/rpc/proxy/seed" \  -H "Content-Type: application/json" \  -d '{    "proxies": [      {        "host": "string",        "port": "string",        "user": "string",        "password": "string"      }    ]  }'
{
  "seeded": -9007199254740991,
  "rejected": [
    {
      "index": -9007199254740991,
      "host": "string",
      "port": "string",
      "reason": "string"
    }
  ],
  "workers": {
    "stopped": [
      "string"
    ],
    "restarted": [
      "string"
    ],
    "failed": [
      {
        "clientId": "string",
        "error": "string"
      }
    ]
  },
  "stats": [
    {
      "proxyId": "string",
      "clientCount": -9007199254740991
    }
  ]
}